OpenNMS API 1.2.9

## org.opennms.web.admin.nodeManagement
Class DeleteServiceServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.opennms.web.admin.nodeManagement.DeleteServiceServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class DeleteServiceServlet
extends javax.servlet.http.HttpServlet

Author:
  brozow TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.http.HttpServlet
``

Fields inherited from class javax.servlet.GenericServlet
``

Constructor Summary
`DeleteServiceServlet()`

Method Summary
`void` `checkParameters(javax.servlet.http.HttpServletRequest request)`
`void` `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`private void` `sendEvent(Event event)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeleteServiceServlet

    public DeleteServiceServlet()

Method Detail

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                throws javax.servlet.ServletException,
                       java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### checkParameters

    public void checkParameters(javax.servlet.http.HttpServletRequest request)

### sendEvent

    private void sendEvent(Event event)
                    throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.